| Home | Libraries | People | FAQ | More

## Function cartesian_dimensions

boost::mpi::cartesian_dimensions

## Synopsis

    // In header: <boost/mpi/cartesian_communicator.hpp>

    std::vector< int > &
    cartesian_dimensions(int nb_proc, std::vector< int > & dims);

## Description

Given en number of processes, and a partially filled sequence of dimension, try to complete the dimension sequence.

Parameters:

`dims` | a sequence of positive or null dimensions. Non zero dimension will be left untouched.
`nb_proc` | the numer of mpi processes.fill a sequence of dimension.